Personal tools
You are here: Home Forum Install & build missing compile time dependencies : libtbb-dev (SALOME 9.6 Ubuntu 20.04)

missing compile time dependencies : libtbb-dev (SALOME 9.6 Ubuntu 20.04)

Up to Install & build

missing compile time dependencies : libtbb-dev (SALOME 9.6 Ubuntu 20.04)

Posted by yongjin liu at May 05. 2021

Hi there,

I tried to compile SALOME 9.6 from source in Ubuntu 20.04 by sat but failed at ParaView, GUI, EFICAS, YACS, GEOM etc.

It claims 'missing compile time dependencies : libtbb-dev. Please install them with apt before compiling salome'.

But actually I have libtbb2 and libtbb-dev installed and I have no idea why sat doesn't find them. I am using SALOME-9.6.0-UB20.04-SRC.tar.gz. I have no problem to use the binary but considering building things from source is a way of learning.

Any help will be appreciated.

Best regards

 

Re: missing compile time dependencies : libtbb-dev (SALOME 9.6 Ubuntu 20.04)

Posted by yongjin liu at May 08. 2021

Replacing 'salomeTools/src/system.py' by the one from a newer version (5.7.0) of sat from git solved my problem. 

Powered by Ploneboard
Document Actions